Subject: bug#7811: Emacs Bug (Unicode - Japanese)

From: "Kuang, Yan Tian" <[email-masked]>
Date: Sun, 9 Jan 2011 17:01:46 -0500

Hello

I found this little bug on Emacs that I thought I would report to you guys.

I am unable to display one Japanese character and only one character. I can display all other characters but just this one.

The character is: ー
The HTML code: &#12540;
According to the Unicode table, the character is on column: 1C, and row: 30E0

I also provided a screenshot.

I am using Emacs for Windows 7, I am able to get the character display on all my other editors but just Emacs. So I don’t think it is a font problem. I tried using the default font on Courier New Monospace and Lucida Console, both of them does not display the character. They both display all the other characters but just this one…

I was wondering if there’s a way to fix this problem?

Thank You

Yan